<!DOCTYPE html>
<html lang="en">
<head>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<meta charset="utf-8" />
<title>Sudila Printers</title>
<meta name="description" content="overview &amp; stats" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<!-- bootstrap & fontawesome -->
<link rel="stylesheet" href="assets/css/bootstrap.min.css" />
<link rel="stylesheet" href="assets/font-awesome/4.5.0/css/font-awesome.min.css" />
<!-- page specific plugin styles -->
<!-- text fonts -->
<link rel="stylesheet" href="assets/css/fonts.googleapis.com.css" />
<!-- ace styles -->
<link rel="stylesheet" href="assets/css/chosen.min.css" />
<link rel="stylesheet" href="assets/css/ace.min.css" class="ace-main-stylesheet" id="main-ace-style" />
<!--[if lte IE 9]>
    <link rel="stylesheet" href="assets/css/ace-part2.min.css" class="ace-main-stylesheet" />
<![endif]-->
<link rel="stylesheet" href="assets/css/ace-skins.min.css" />
<link rel="stylesheet" href="assets/css/ace-rtl.min.css" />
<!--[if lte IE 9]>
  <link rel="stylesheet" href="assets/css/ace-ie.min.css" />
<![endif]-->
<!-- inline styles related to this page -->
<!-- ace settings handler -->
<script src="assets/js/ace-extra.min.js"></script>
<!-- HTML5shiv and Respond.js for IE8 to support HTML5 elements and media queries -->
<!--[if lte IE 8]>
    <script src="assets/js/html5shiv.min.js"></script>
    <script src="assets/js/respond.min.js"></script>
<![endif]-->
</head>
<body class="no-skin">
<?php include 'common/navbar.php'; ?>
<div class="main-container ace-save-state" id="main-container">
  <?php include 'common/sidebar.php'; ?>
  <div class="main-content">
    <div class="main-content-inner">
      <div class="breadcrumbs ace-save-state" id="breadcrumbs">
        <ul class="breadcrumb">
          <li> <i class="ace-icon fa fa-home home-icon"></i> <a href="home">Home</a> </li>
          <li><a href="view-book-list">Book List</a></li>
          <li class="active">Edit Book Category</li>
        </ul>
        <!-- /.breadcrumb --> 
      </div>
      <div class="page-content">
        <div class="page-header">
          <h1> Edit Book Category </h1>
        </div>
		
		<?php
		$bid = 0;
		$b_name = '';
		$cat_arr = array();
		
		if(isset($_GET['bid'])) {
			$bid = htmlspecialchars(strip_tags(trim($_GET['bid'])), ENT_QUOTES, 'UTF-8');
			$sql_b = mysqli_query($conn, "SELECT name FROM bookdetails WHERE id = '$bid'");
			if(mysqli_num_rows($sql_b) == 0) {
				$bid = 0;
				
			} else {
				$row_b = mysqli_fetch_assoc($sql_b);
				$b_name = $row_b['name'];
				
				$sql_cat = mysqli_query($conn, "SELECT Cat_ID FROM category_map WHERE Book_ID = '$bid'");
				while($row_cat = mysqli_fetch_assoc($sql_cat)) {
					$cat_arr[] = $row_cat['Cat_ID'];
				}
			}
		} else {
			$bid = 0;
		}
		
		if(!empty($bid)) {?>
        <div class="row">
          <div class="col-xs-12"> 
            <!-- PAGE CONTENT BEGINS -->
            <div class="widget-box">
              <div class="widget-body">
                <div class="widget-main"><h4><?php echo $b_name; ?></h4><hr>
                  <!-- Content -->
				  <form id="form_submit" method="post">
					  <div class="form-group">
						<label>Select Category:<sup class="red">*</sup></label>
						<select multiple="" class="chosen-select form-control tag-input-style" data-placeholder="Choose a Category..." name="cat_id_up[]" required>
							<?php
							$sql = "SELECT * FROM category";
							$result = mysqli_query($conn, $sql);
							while ($row = mysqli_fetch_array($result)){ ?>
								<option value="<?php echo $row['id']; ?>" <?php if(in_array($row['id'], $cat_arr)) { echo 'selected'; } ?>><?php echo $row['category']; ?></option>
							<?php } ?>
						</select>
						<span class="help-block"></span>
					  </div>
					  <br>
					  <input type="hidden" class="form-control" value="<?php echo $bid; ?>" name="id_up_cat" required readonly autocomplete="off"/>
					  <div class="form-group">
						<button class="btn btn-primary btn-sm"> UPDATE</button>
					  </div>
				  </form>
                  <!-- End Content --> 
                </div>
              </div>
            </div>
            <!-- /End .widget-box --> 
          </div>
        </div>
		<?php } ?>
      </div>
      <!-- /.page-content --> 
    </div>
  </div>
  <!-- /.main-content -->
  <?php include 'common/footer.php'; ?>
</div>
<!-- /.main-container -->

<!-- basic scripts --> 
<!--[if !IE]> -->
<script src="assets/js/jquery-2.1.4.min.js"></script>
<!-- <![endif]--> 
<!--[if IE]>
<script src="assets/js/jquery-1.11.3.min.js"></script>
<![endif]--> 
<script type="text/javascript">
	if('ontouchstart' in document.documentElement) document.write("<script src='assets/js/jquery.mobile.custom.min.js'>"+"<"+"/script>");
</script> 
<script src="assets/js/bootstrap.min.js"></script> 
<!-- page specific plugin scripts --> 
<!--[if lte IE 8]>
  <script src="assets/js/excanvas.min.js"></script>
<![endif]-->
<script src="assets/js/jquery.dataTables.min.js"></script>
<script src="assets/js/jquery-typeahead.js"></script>
<script src="assets/js/jquery.dataTables.bootstrap.min.js"></script>
<!-- ace scripts -->
<script src="assets/js/ace-elements.min.js"></script>
<script src="assets/js/chosen.jquery.min.js"></script>
<script src="assets/js/ace.min.js"></script>
<script src="assets/jquery.validate.min.js"></script>
<link rel="stylesheet" href="bootstrap-sweetalert/lib/sweet-alert.css" />
<script src="bootstrap-sweetalert/lib/sweet-alert.min.js"></script>
<script src="assets/js/bootstrap-tag.min.js"></script>
<!-- inline scripts related to this page --> 
<script type="text/javascript">
jQuery(function ($) {
	//initiate dataTables plugin
	var myTable =
	$('#dynamic-table')
	//.wrap("<div class='dataTables_borderWrap' />")   //if you are applying horizontal scrolling (sScrollX)
	.DataTable({
		bAutoWidth: false,
		"aaSorting": [],
	});
	
	if(!ace.vars['touch']) {
		$('.chosen-select').chosen({allow_single_deselect:true}); 
		//resize the chosen on window resize

		$(window)
		.off('resize.chosen')
		.on('resize.chosen', function() {
			$('.chosen-select').each(function() {
				 var $this = $(this);
				 $this.next().css({'width': $this.parent().width()});
			})
		}).trigger('resize.chosen');
		//resize chosen on sidebar collapse/expand
		$(document).on('settings.ace.chosen', function(e, event_name, event_val) {
			if(event_name != 'sidebar_collapsed') return;
			$('.chosen-select').each(function() {
				 var $this = $(this);
				 $this.next().css({'width': $this.parent().width()});
			})
		});
	}
	
	$('#id-input-file-1 , #id-input-file-2').ace_file_input({
		no_file:'No File ...',
		btn_choose:'Choose',
		btn_change:'Change',
		droppable:false,
		onchange:null,
		thumbnail:false, //| true | large
		whitelist:'png|jpg|jpeg',
		blacklist:'exe|php|html',
		onchange:'',
	});
});


$('document').ready(function()
{
	$.validator.setDefaults({ ignore: ":hidden:not(select)" }); //for all select
   $("#form_submit").validate({
	   ignore: [],
	rules: {

	},
	 messages:
	{

	},
	 errorPlacement : function(error, element) {
		$(element).closest('.form-group').find('.help-block').html(error.html());
	 },
	 highlight : function(element) {
		$(element).closest('.form-group').removeClass('has-success').addClass('has-error');
	 },
	 unhighlight: function(element, errorClass, validClass) {
		$(element).closest('.form-group').removeClass('has-error');
		$(element).closest('.form-group').find('.help-block').html('');
	 },
		  submitHandler: submitForm
	});
	function submitForm(){
		//disable the default form submission
		event.preventDefault();
		//grab all form data  
		var formData = new FormData($('#form_submit')[0]);
	   $.ajax({
			  url: 'connection/book_conn',
			  type: 'POST',
			  data: formData,
			  async: false,
			  cache: false,
			  contentType: false,
			  processData: false,
		 })
		 .done(function(data){
			  if ( data === 'success' ) {
				swal({
				  title: "",
				  text: "Successfully Updated!",
				  type: "success",
				  confirmButtonText: "OK"
					},
					function (isConfirm) {
				  if (isConfirm) {
					  window.location.href = "edit-book-category?bid=<?php echo $bid; ?>";
				  }
				});
			  
			  } else {
				  swal("", "Something went wrong! Please Try Again!", "warning");
			  }
		 })
		 .fail(function(){
			  swal("", "Something went wrong! Please Try Again!", "warning");
		 });
	}
});

</script>
</body>
</html>